PACTREE(8)

NUME
pactree - vizualizator al arborelui de dependențe al pachetelor

SINOPSIS

pactree [opțiuni] <pachet>

DESCRIERE

pactree produce un arbore de dependențe pentru un pachet.

În mod implicit, este generată o ieșire de tip arbore, dar cu opțiunea --graph, este generată o descriere Graphviz.

OPȚIUNI

-a, --ascii
    Utilizează caractere ASCII pentru formatarea arborelui. În mod implicit, pactree va utiliza caractere Unicode de desenare a liniilor, dacă poate detecta că parametrii configurației regionale le acceptă.

-c, --color
    Colorează ieșirea.

--config <fișier>
    Specifică un fișier de configurare „pacman” alternativ.

-b, --dbpath
    Specifică o locație alternativă a bazei de date.

--debug
    Afișează mesajele de jurnal produse de „libalpm”.

-d, --depth <număr>
    Limitează numărul de niveluri de dependență la afișare. Un zero înseamnă că se afișează numai pachetul numit, iar unu arată pachetele care sunt direct necesare.

--gpgdir <director>
    Specifică un alt director GnuPG pentru verificarea semnăturilor bazelor de date (valoarea implicită este „/etc/pacman.d/gnupg”).

-g, --graph
    Generează o descriere Graphviz. Dacă se dă această opțiune, opțiunile --color și --linear sunt ignorate.

-h, --help
    Afișează sintaxa și opțiunile liniei de comandă.

-l, --linear
    Imprimă numele pachetelor la începutul fiecărei linii, câte unul pentru fiecare linie.

-o, --optional[=adâncimea]
    În plus, afișează dependențele opționale până la o anumită adâncime, implicit 1 pentru dependențele opționale imediate. Atunci când este utilizată împreună cu -r, arată pentru ce pachete este opțional. În modul Graphviz, produce linii punctate. Valorile negative înseamnă adâncime infinită.

-r, --reverse
    Afișează pachetele care depind de pachetul numit.

-s, --sync
    Citește datele pachetului din bazele de date de sincronizare în loc din baza de date locală.

-u, --unique
    Listează pachetele dependente o dată. Implică --linear.

CONSULTAȚI ȘI

pacman(8), pacman.conf(5), makepkg(8)

ERORI

Hibe? Probabil că glumiți; nu există nicio hibă în acest software&. Dar dacă se întâmplă să fie ceva greșit, depuneți o cerere de rezolvare a problemei cu cât mai multe detalii posibile la: https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTORI

Responsabilii actuali:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

Pentru contribuitori suplimentari, folosiți «git shortlog -s» în depozitul .git pacman-contrib.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.